### php.java.script

# Class HttpProxy

- `java.lang.Object`

- `java.lang.Thread`

- `php.java.script.CGIRunner`

- `php.java.script.HttpProxy`

Implemented Interfaces:
  java.lang.Runnable

`public class HttpProxy`
`extends CGIRunner`

Represents the script continuation. This class can be used to allocate php scripts on a HTTP server. Although this class accidently inherits from `CGIRunner` it doesn't necessarily run CGI binaries. If you pass a URLReader, it calls its read method which opens a URLConnection to the remote server and holds the allocated remote script instance hostage until release is called.

Author:
  jostb

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY`, `MIN_PRIORITY`, `NORM_PRIORITY`

## Constructor Summary

`HttpProxy(java.io.Reader reader, java.util.Map env, SessionFactory ctx, java.io.OutputStream out)`
  Create a HTTP proxy which can be used to allocate a php script from a HTTP server

`HttpProxy(java.io.Reader reader, ContextFactory ctx, java.io.OutputStream out)`
  Create a HTTP proxy which can be used to allocate a php script from a HTTP server

## Method Summary

### Methods inherited from class php.java.script.CGIRunner

`call`, `getPhpScript`, `release`, `run`

### Methods inherited from class java.lang.Thread

`activeCount`, `checkAccess`, `countStackFrames`, `currentThread`, `destroy`, `dumpStack`, `enumerate`, `getContextClassLoader`, `getName`, `getPriority`, `getThreadGroup`, `holdsLock`, `interrupt`, `interrupted`, `isAlive`, `isDaemon`, `isInterrupted`, `join`, `join`, `join`, `resume`, `run`, `setContextClassLoader`, `setDaemon`, `setName`, `setPriority`, `sleep`, `sleep`, `start`, `stop`, `stop`, `suspend`, `toString`, `yield`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### HttpProxy

    public HttpProxy(java.io.Reader reader,
                     java.util.Map env,
                     SessionFactory ctx,
                     java.io.OutputStream out)

> Create a HTTP proxy which can be used to allocate a php script from a HTTP server

> Parameters:
>   `reader` - - The reader, for example a URLReader
>   `env` - - The environment, must contain values for X_JAVABRIDGE_CONTEXT. It may contain X_JAVABRIDGE_OVERRIDE_HOSTS.
>   `ctx` - - The context

### HttpProxy

    public HttpProxy(java.io.Reader reader,
                     ContextFactory ctx,
                     java.io.OutputStream out)

> Create a HTTP proxy which can be used to allocate a php script from a HTTP server

> Parameters:
>   `reader` - - The reader, for example a URLReader
>   `ctx` - - The context